Adding flash messages to files_controller#create
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Files Estimated time: 0.00 hour

Target version: 3.0.3   

Description

When you create a new file with empty attachments it redirects to the index view but with no error message.

Now it returns to the new view with a flash message and if the upload is successful, it displays a notice flash.

also changed !attachments.empty? to attachments.any?

Associated revisions

Revision 14243 - 2015-05-09 12:29 - Jean-Philippe Lang

Adds flash messages to files_controller#create (#19793).

Revision 14251 - 2015-05-10 09:22 - Jean-Philippe Lang

Merged r14243 (#19793).

History

#1 - 2015-05-09 12:29 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.3

Patch committed in r14243 with slight changes and a test, thanks.

#2 - 2015-05-10 09:23 - Jean-Philippe Lang

- Status changed from Resolved to Closed
